
package bbuvajava;

import java.util.ArrayList;
//import java.util.Iterator;

public class Arqueo {

    private String narqueo;
    private float saldoini;
    private float saldofin;
    private Empleado mEmpleado;
    private ArrayList<OPBasica> mOPBasica;
    private Caja c;

    public Arqueo () {
        mOPBasica= new ArrayList ();
       /* Iterator iterador = this.mOPBasica.listIterator();
        while( iterador.hasNext() ) {
            OPBasica op = (OPBasica) iterador.next();
            if (op.getConcepto().equalsIgnoreCase("Ingreso")){
                mEmpleado.getCaj().setSaldo(mEmpleado.getCaj().getSaldo()+op.getImporte());
            }
            else{
                mEmpleado.getCaj().setSaldo(mEmpleado.getCaj().getSaldo()-op.getImporte());
            }
        }*/
    }

    public void ParteDiferencia(Float nuevosaldo){
        c.setSaldo(nuevosaldo);
        this.setSaldofin(nuevosaldo);
    }

    public Empleado getEmpleado () {
        return mEmpleado;
    }

    public void setEmpleado (Empleado val) {
        this.mEmpleado = val;
    }

    public ArrayList<OPBasica> getMOPBasica() {
        return mOPBasica;
    }

    public void setMOPBasica(ArrayList<OPBasica> mOPBasica) {
        this.mOPBasica = mOPBasica;
    }

    public Caja getC() {
        return c;
    }

    public void setC(Caja c) {
        this.c = c;
    }

    public String getNarqueo() {
        return narqueo;
    }

    public void setNarqueo(String narqueo) {
        this.narqueo = narqueo;
    }

   
    public float getSaldoini() {
        return saldoini;
    }

    public void setSaldoini(float saldoini) {
        this.saldoini = saldoini;
    }

   
    public float getSaldofin() {
        return saldofin;
    }

    
    public void setSaldofin(float saldofin) {
        this.saldofin = saldofin;
    }

    public void anadir_OPBasica(OPBasica op){
        this.mOPBasica.add(op);
    }

  

}
